Tripnet - Feature #93751
Qgo Expedia B2B launch requirment
03/18/2020 04:18 pm - Sreerag Prasannan

Status: Fixed not Tested

Priority: High

Assignee: Jomiya J

Category: Functionality

Target version: QA Release

End_Date: 03/30/2020

remarks: nill

DB Changes: Table 0***** 01. APIDetails

Keys & Permissions: nill

Start date:

Due date:

% Done:
Estimated time:
Spent time:
Areas Affected:
Files Changed:

04/08/2020
04/08/2020
43%

3.50 hours
57.80 hours
nill

nill

Initial Planned Hours: 0

Description

Please check the attachment and update in B2B booking page, their should be a checkbox as mentioned in hotel booking page in

attachment.

Now for the B2B “Tripnet”, we will be offering :

1) Standalone rates

2) B2B standard package rates where the tool can display our Hotel package rates as long as you clearly label them as package
rates, display the Package rate condition (which you can find in our documentation) and add a tick box for the agent to click on before

proceeding in booking the package rate for the customer.

B2B launch requirements -

https://support.expediapartnersolutions.com/hc/en-us/articles/115005990485-EAN-Rapid-Package-Rates-Launch-Requirements-B2B

username - sreerag.p@caxita.com
password - sreerag123

Refer task Feature #93177 for attachment

Subtasks:
Bug # 95568: Hotel | booking rate id mismatch
Bug # 95571: Bookings are getting failed | expedia

Fixed not Tested

On hold

History

#1 - 03/18/2020 05:14 pm - jijo g

- Due date set to 03/25/2020

- Status changed from New to Assigned

- Assignee set to Jomiya J

- Target version set to QA Release

- Start date changed from 03/18/2020 to 03/19/2020
- Estimated time set to 40.00

#2 - 03/19/2020 11:13 am - Jomiya J

- Status changed from Assigned to In Progress

#3 - 03/19/2020 05:01 pm - Jomiya J
- % Done changed from 0 to 10

- remarks set to nill

- DB Changes set to Table
https://support.expediapartnersolutions.com/hc/en-us/articles/115005990485-EAN-Rapid-Package-Rates-Launch-Requirements-B2B
1. APIDetails

- Keys & Permissions set to nill
- Areas Affected set to nill

- Files Changed set to nill

import expedia provider in tripnet.

build error fix- its an old projects so can't get the data like in QGO. so implement the object mapper, elastic in tripnet, dto,service,da changes

#4 - 03/21/2020 03:28 pm - Jomiya J

Table crearion and code updates

#5 - 03/23/2020 04:14 pm - Jomiya J

Display expedia result page, normal room details page

#6 - 03/24/2020 05:47 pm - Jomiya J

display hotelstayinfo and hotel amenity in room details page, correct cancellationpollicy.

#7 - 03/25/2020 03:14 pm - Jomiya J

display rules and regulations in payment page, tax and fee splitup - inprogress

#8 - 03/26/2020 05:32 pm - Jomiya J

tax and fee split up showed in payment page. Booking insertion - inprogress

#9 - 03/27/2020 05:07 pm - Jomiya J
- % Done changed from 10 to 80

booking and cancel completed..

#10 - 03/30/2020 07:47 am - Jomiya J
- Status changed from In Progress to Fixed not Tested
- End_Date set to 03/30/2020

booking request always returns error response
